create view vr_wv_CCWFieldNotValid as select 1 as 'x';
go
alter view vr_wv_CCWFieldNotValid
as
select ccw.SEQN, ccw.PAGEPART, ccw.SORT_POSITION, ccw.DEMOG_TABLE_NAME, ccw.FIELD_NAME 'ConfigFieldName',
		uf.FIELD_NAME 'PhysicalFieldName'
	from Config_Custom_Web ccw
	left outer join UD_Field uf
		on ccw.DEMOG_TABLE_NAME = uf.TABLE_NAME
		and ccw.FIELD_NAME = uf.FIELD_NAME
	where ccw.FIELD_NAME not in ('ID', 'SEQN')
		and (uf.FIELD_NAME is null
			or convert(varbinary(30), ccw.FIELD_NAME) != convert(varbinary(30), uf.FIELD_NAME))
go
create view vr_wv_CCWLookupNotValid as select 1 as 'x';
go
alter view vr_wv_CCWLookupNotValid
as
select ccw.SEQN, ccw.PAGEPART, ccw.SORT_POSITION, ccw.DEMOG_TABLE_NAME, ccw.FIELD_NAME, ccw.VALIDATION_TABLE
	from Config_Custom_Web ccw
	where ccw.VALIDATION_TYPE = 'GENTABLE'
		and (convert(varbinary(30), ccw.VALIDATION_TABLE) not in 
				(select distinct convert(varbinary(30), TABLE_NAME) from Gen_Tables)
			or convert(varbinary(30), ccw.VALIDATION_TABLE) != convert(varbinary(30), upper(ccw.VALIDATION_TABLE)))
go
