create function esc(@invalue varchar(8000)) returns varchar(8000)
as
begin
	return '''' + replace(@invalue, '''', '''''') + ''''
end
go


select '-- Config_Custom_Web' 
union
select '-- server ' + @@servername 
union
select '-- database ' + db_name() 
union
select '-- date convert(varchar, getdate())'
union
select 'INSERT INTO Config_Custom_Web (ID, SEQN, DEMOG_TABLE_NAME, FIELD_NAME, FIELD_REQUIRED, CUSTOM_CSS, DESCRIPTION_BEFORE, DESCRIPTION_AFTER, PAGEPART, PROMPT, SHOW_IN_GRID, SORT_POSITION, ROLES_REQUIRED_EDIT, ROLES_REQUIRED_EDIT_NEW, ROLES_REQUIRED_VIEW, ROLES_REQUIRED_VIEW_NEW, TOOLTIP, VALIDATION_TABLE, VALIDATION_TYPE, DEFAULT_VALUE_FUNCTION, ALLOW_MARKUP, RANGE_MINIMUM, RANGE_MAXIMUM, NUMERIC_INCREMENT, SELECTOR_SINGLE, SELECTOR_PARENT)'
union
select 'values'
union
SELECT '(' + dbo.esc(ID) 
	+ ', ' + convert(varchar, SEQN) 
	+ ', ' + dbo.esc(DEMOG_TABLE_NAME) 
	+ ', ' + dbo.esc(FIELD_NAME)
	+ ', ' + convert(varchar, FIELD_REQUIRED)
	+ ', ' + dbo.esc(CUSTOM_CSS)
	+ ', ' + isnull(dbo.esc(DESCRIPTION_BEFORE), 'NULL')
	+ ', ' + isnull(dbo.esc(DESCRIPTION_AFTER), 'NULL')
	+ ', ' + dbo.esc(PAGEPART)
	+ ', ' + dbo.esc(PROMPT)
	+ ', ' + convert(varchar, SHOW_IN_GRID)
	+ ', ' + convert(varchar, SORT_POSITION)
	+ ', ' + dbo.esc(ROLES_REQUIRED_EDIT)
	+ ', ' + dbo.esc(ROLES_REQUIRED_EDIT_NEW)
	+ ', ' + dbo.esc(ROLES_REQUIRED_VIEW)
	+ ', ' + dbo.esc(ROLES_REQUIRED_VIEW_NEW)
	+ ', ' + dbo.esc(TOOLTIP)
	+ ', ' + dbo.esc(VALIDATION_TABLE)
	+ ', ' + dbo.esc(VALIDATION_TYPE)
	+ ', ' + dbo.esc(DEFAULT_VALUE_FUNCTION)
	+ ', ' + convert(varchar, ALLOW_MARKUP)
	+ ', ' + dbo.esc(RANGE_MINIMUM)
	+ ', ' + dbo.esc(RANGE_MAXIMUM)
	+ ', ' + convert(varchar, NUMERIC_INCREMENT)
	+ ', ' + dbo.esc(SELECTOR_SINGLE)
	+ ', ' + dbo.esc(SELECTOR_PARENT)
	+ '),'
FROM Config_Custom_Web

