﻿<%@ Control Language="C#" Inherits="RSM.wvRelationship.DisplayPage" EnableViewState="true"
    AutoEventWireup="True" CodeBehind="wvRelationship.Display.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.rsm.cloud/repos/NonClient/wvSuite/trunk/wvSuite/wvRelationship.Display.ascx $
$Rev: 14172 $
$Date: 2019-09-26 18:15:08 -0500 (Thu, 26 Sep 2019) $
-->
<asiweb:StyledLabel runat="server" ID="ConfigDisplay" CssClass="McGladreyVersion"/>
<div class="error">
    <asp:Label runat="server" CssClass="Important Error" ID="lblLicenseError" Visible="false"/>
</div>
<div id="wvRelContainer" runat="server" CssClass="wvRelContainer">
	<asp:Panel ID="pnlLookup" runat="server" DefaultButton="btnPopOk" Enabled="false" Visible="false" CssClass="wvRelFindId">
		<asp:Panel runat="server">
			<asp:Label runat="server" CssClass="mdTitle" AssociatedControlID="ddlSearchTypes">Search Types</asp:Label>
			<telerik:RadComboBox ID="ddlSearchTypes" runat="server" AutoPostBack="true" EnableViewState="true" AllowCustomText="false" NoWrap="false" Width="240"/>
		</asp:Panel>
		<asp:Panel runat="server" CssClass="StandardPanel">
			<fieldset>
				<asp:Panel ID="pnlSearchParameters" CssClass="PanelBody" runat="server"/>
			</fieldset>
		</asp:Panel>
		<asp:Label ID="lblResultsPrompt" runat="server">Results</asp:Label>
		<asp:ListBox ID="lbSearchResults" runat="server" Width="99%" Rows="10" EnableViewState="true"
			Enabled="true" />
		<asp:Panel runat="server">
			<asp:Button ID="btnPopOk" runat="server" OnClick="PopOkClick" Text="Ok" CssClass="TextButton" />
			<asp:Button ID="btnPopCancel" runat="server" OnClick="PopCancelClick" Text="Cancel" CssClass="TextButton" />
		</asp:Panel>
	</asp:Panel>
	<asp:Panel ID="wvRelForm" runat="server" CssClass="panel wvRelForm">
		<asp:Panel runat="server" CssClass="PanelBody">
			<asp:Table ID="RelationshipTable" CellPadding="4" CellSpacing="4" runat="server">
				<asp:TableRow ID="rowTargetId" runat="server" Visible="true">
					<asp:TableCell CssClass="PanelTablePrompt">
						<asp:Label ID="lblID" runat="server" AssociatedControlID="btnIdLookup">Target</asp:Label>
					</asp:TableCell>
					<asp:TableCell runat="server" Visible="true" CssClass="PanelFieldValue">
						<asp:Label ID="txtTargetIdName" runat="server" Visible="true"/>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue">
						<asp:ImageButton ID="btnIdLookup" runat="server" ImageUrl="~/iParts/McGladrey/wvSuite/find_id.png"
							Visible="true" OnClick="IdLookupClick" AlternateText="Search"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowContactName" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblContactName" runat="server" AssociatedControlID="txtContactName">Contact Name</asp:Label>
					</asp:TableCell>
					<asp:TableCell runat="server" Visible="true" CssClass="PanelFieldValue" ColumnSpan="2">
						<asp:TextBox ID="txtContactName" runat="server" Visible="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowRelationship" runat="server">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblRelationship" runat="server" Visible="true" CssClass="Required" AssociatedControlID="ddlRelationships">Relationship</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2">
						<asp:DropDownList ID="ddlRelationships" runat="server" AutoPostBack="true" Visible="True"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowReciprocal" runat="server">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblReciprocal" runat="server" Visible="true" CssClass="Required" AssociatedControlID="ddlReciprocal">Reciprocal</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2">
						<asp:DropDownList ID="ddlReciprocal" runat="server" AutoPostBack="false" Visible="True"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowRelTitle" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblRelTitle" runat="server" Visible="true" AssociatedControlID="ddlRelTitle">Title</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<asp:DropDownList ID="ddlRelTitle" runat="server" Visible="true" EnableViewState="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowFunctionalTitle" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblFunctionalTitle" runat="server" Visible="true" AssociatedControlID="ddlFunctionalTitle">Functional Title</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<asp:DropDownList ID="ddlFunctionalTitle" runat="server" Visible="true" EnableViewState="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowStatus" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblStatus" runat="server" Visible="true" AssociatedControlID="ddlStatus">Status</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<asp:DropDownList ID="ddlStatus" runat="server" Visible="true" EnableViewState="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowFromDate" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblFromDate" runat="server" Visible="true" AssociatedControlID="txtFromDate">From</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<telerik:RadDatePicker id="txtFromDate" runat="server" Visible="true" ShowButton="false" CausesValidation="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowThruDate" runat="server" Visible="false">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblThruDate" runat="server" Visible="true" AssociatedControlID="txtThruDate">Thru</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<telerik:RadDatePicker id="txtThruDate" runat="server" Visible="true" ShowButton="false" CausesValidation="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowGroupCode" runat="server" Visible="true">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblGroupCode" runat="server" Visible="true" AssociatedControlID="ddlGroupCode">Group Code</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<asp:DropDownList ID="ddlGroupCode" runat="server" Visible="true"/>
					</asp:TableCell>
				</asp:TableRow>
				<asp:TableRow ID="rowNote" runat="server" Visible="true">
					<asp:TableCell CssClass="PanelTablePrompt" runat="server">
						<asp:Label ID="lblNote" runat="server" AssociatedControlID="txtNote">Note</asp:Label>
					</asp:TableCell>
					<asp:TableCell CssClass="PanelFieldValue" ColumnSpan="2" runat="server">
						<asp:TextBox runat="server" ID="txtNote" MaxLength="200000" Wrap="true" TextMode="MultiLine" Visible="true" CssClass="wvNote"/>
					</asp:TableCell>
				</asp:TableRow>
			</asp:Table>
		</asp:Panel>
		<br/>
		<asp:Table ID="RelationDates" CellPadding="4" CellSpacing="4" runat="server">
			<asp:TableRow>
				<asp:TableCell CssClass="PanelTablePrompt">
					<asp:Label ID="lblDateAdded" runat="server" AssociatedControlID="txtDateAdded">Date Added&nbsp;&nbsp;&nbsp;&nbsp;</asp:Label>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Label ID="txtDateAdded" runat="server" Visible="true"/>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelTablePrompt">
					<asp:Label ID="lblLastUpdated" runat="server" AssociatedControlID="txtLastUpdated">Last Updated&nbsp;</asp:Label>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Label ID="txtLastUpdated" runat="server" Visible="true"/>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelTablePrompt">
					<asp:Label ID="lblBy" runat="server" AssociatedControlID="txtBy">&nbsp;&nbsp;By&nbsp;</asp:Label>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Label ID="txtBy" runat="server" Visible="true"/>
				</asp:TableCell>
			</asp:TableRow>
			<asp:TableRow>
				<asp:TableCell ColumnSpan="6" CssClass="PanelTablePrompt">
					<asp:Label ID="lblMessage" runat="server" CssClass="Error" Visible="False"/>
				</asp:TableCell>
			</asp:TableRow>
		</asp:Table>
		<br/>
		<asp:Table ID="ActionButtons" BorderWidth="0" CellPadding="4" CellSpacing="4" runat="server">
			<asp:TableRow>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Button ID="btnSave" runat="server" OnClick="SaveClick" Text="Save" CssClass="TextButton"/>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Button ID="btnCancel" runat="server" OnClick="CancelClick" Text="Cancel" CssClass="TextButton"/>
				</asp:TableCell>
				<asp:TableCell CssClass="PanelFieldValue">
					<asp:Button ID="btnDelete" runat="server" OnClick="DeleteClick" Text="Delete" CssClass="TextButton"/>
				</asp:TableCell>
			</asp:TableRow>
		</asp:Table>
	</asp:Panel>
</div>
<%--Few Special Controls --%>
<asp:HiddenField ID="hdnHelper" runat="server" />
<asp:HiddenField ID="txtTargetId" runat="server" />
<asp:Panel ID="panHelper" runat="server" />